HP Virtual Rooms WebHPVCInstall.HPVirtualRooms14 ActiveX Control Buffer Overflow Vulnerabilities

High Nessus Plugin ID 30202


The remote Windows host has an ActiveX control that is affected by multiple buffer overflow vulnerabilities.


The remote host contains a version of the HP Virtual Rooms WebHPVCInstall.HPVirtualRooms14 ActiveX control that reportedly is affected by multiple buffer overflows involving properties such as 'AuthenticationURL', 'PortalAPIURL', and 'cabroot'. If a remote attacker can trick a user on the affected host into visiting a specially crafted web page, this issue could be leveraged to execute arbitrary code on the affected host subject to the user's privileges.


Upgrade to HP Virtual Rooms v7 or use the HPVR removal tool referenced in the vendor advisory above to remove the software.

See Also



Plugin Details

Severity: High

ID: 30202

File Name: hpvr_webhpvcinstall_overflows.nasl

Version: $Revision: 1.16 $

Type: local

Agent: windows

Family: Windows

Published: 2008/02/06

Modified: 2016/11/19

Dependencies: 13855

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 8.1

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:H/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:hp:virtual_rooms

Required KB Items: SMB/Registry/Enumerated

Exploit Available: true

Exploit Ease: No exploit is required

Patch Publication Date: 2008/01/26

Reference Information

CVE: CVE-2008-0437

BID: 27384

OSVDB: 40890

CWE: 119